/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package model2;

import generated.ObjectFactory;
import generated.Produkt;
import java.io.File;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.JAXBContext;
import javax.xml.bind.Unmarshaller;

/**
 *
 * @author micha
 */
public class XMLZugriff {

    private ObjectFactory objF;
    private Produkt produkt;

    public XMLZugriff() {
        objF = new generated.ObjectFactory();
    }

    public List deSerializeIt() {

        List<generated.Produkt.Row> produktListe = null;

        try {
            //unmarshaller erzeugen und xml nach objekt deserialisieren
            JAXBContext context = JAXBContext.newInstance(Produkt.class);
            Unmarshaller u = context.createUnmarshaller();

            Produkt produkteNeu
                    = (Produkt) u.unmarshal(new File("xmlUndXsd/katalog.xml"));

            //liste fuellen
            produktListe = produkteNeu.getRow();

        } catch (Exception e) {
            e.printStackTrace();
        }

        return produktListe;
    }

//     ArrayList<Produkt.Row> filter(String spaltenwert) throws Exception {
//        
//        ArrayList<Produkt> produktListe = new ArrayList();
//
//        
//        return ()this.deSerializeIt();
//    }
    
    public static void main(String[] args) {
        XMLZugriff xmlz = new XMLZugriff();
        List<Produkt.Row> produkte = xmlz.deSerializeIt();

        System.out.println("" + ""
                    + "art_nr\t"
                    + "produktname\t"
                    + "beschreibung\t"
                    + "hersteller\t"
                    + "preis\t"
                    + "img_name\t"
                    + "img_pfad\t"
                    + "bestand");
        
        for (Produkt.Row zeile : produkte) {         

            System.out.printf("%s\t%s\t%s\t%s\t%s\t%s\t%s\t%s\n",
                    zeile.getArtNr(),
                    zeile.getProduktname(),
                    zeile.getBeschreibung(),
                    zeile.getHersteller(),
                    zeile.getPreis(),
                    zeile.getImgName(),
                    zeile.getImgPfad(),
                    zeile.getBestand()
            );

        }
    }

}
